#include <iostream>

int main() {
    int min = 6;
    for (int i = 0; i < 5; i++) {
        int value;
        std::cin >> value;
        if (value < min) {
            min = value;
        }
    }
    if (min < 4) {
        std::cout << "Could be better\n";
    } else {
        std::cout << "Great!\n";
    }
}
